Subject: Re: bug#2623: 23.0.91; File is under version-control; use C-x v v to check in/out

From: Stefan Monnier <[email-masked]>
Date: Wed, 11 Mar 2009 20:39:10 -0400

>>>> BTW, why did you type C-x C-q?  Is the file read-only?
>>> Sometimes I turn the file into read-only before showing to other people
>>> in case they accidentally type something into it.
>> I see, so in this case we could probably avoid the message by being
>> a bit more clever (e.g. don't show the message if it's not the first
>> time C-x C-q is used in this buffer).
> There is difference between turning the buffer into read-only and the
> file on disk being read-only. VC backends depend on the latter for their
> status based on my experience with RCS. So showing such a message does

No, actually VC did make buffers read-only based on the backend's status
rather than just based on the file's own read-onlyness.  And C-x C-q was
used by many people as the main way to interact with VC (both to check
out and to check back in).  I know it all sounds really odd seen from
today's point of view, but it still made sense in Emacs-21, which isn't
that old.

        Stefan